package com.docus.bgts.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病案采集任务
 * </p>
 *
 * @author 曾文和
 * @since 2021-05-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="AfCollectTask对象", description="病案采集任务")
public class AfCollectTask implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id 雪花算法")
    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private Long id;

    @ApiModelProperty(value = "病案主键")
    private String patientId;

    @ApiModelProperty(value = "af_archive_detail表id")
    private Long afArchiveDetailId;

    @ApiModelProperty(value = "来源 1护理文书，2 电子病历，3 Pacs检查，4心电图，5手麻系统，6 Lis检验，7病案首页，8长临医嘱")
    private String sysflag;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "任务状态 0：未开始，1:完成，2：重新采集")
    private String state;

    @ApiModelProperty(value = "同步时间")
    private Date syncTime;

    @ApiModelProperty(value = "最新重新采集时间")
    private Date recollectTime;

    @ApiModelProperty(value = "最新重新采集人")
    private String recollectName;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty("报告唯一单号")
    private String c1;
    @ApiModelProperty("文件标题")
    private String c2;
}
